VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Info:

## Avaliable Methods
public method | set_version ()
public method | set_upgrade_version ()
public method | set_upgrade_status ()
public method | get_upgrade_status ()
public method | get_upgrade_version ()
public method | get_upgrade_policy ()
public method | get_upgrade_error ()
public method | set_upgrade_policy ()
public method | set_upgrade_error ()
public method | new ()
public method | get_version ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Info` class contains information related to the virtual hardware of a virtual machine.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Info::get_upgrade_error | ( |  | ) |

Gets the value of 'upgrade_error' property.

Return values

  upgrade_error | - The current value of the field. Reason for the scheduled upgrade failure. optional#

Code:
click to view
# Number of lines of code in get_upgrade_error: 4
sub get_upgrade_error {
my ($self, %args) = @_;
return $self->{'upgrade_error'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::get_upgrade_policy | ( |  | ) |

Gets the value of 'upgrade_policy' property.

Return values

  upgrade_policy | - The current value of the field. Scheduled upgrade policy. UpgradePolicy#

Code:
click to view
# Number of lines of code in get_upgrade_policy: 4
sub get_upgrade_policy {
my ($self, %args) = @_;
return $self->{'upgrade_policy'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::get_upgrade_status | ( |  | ) |

Gets the value of 'upgrade_status' property.

Return values

  upgrade_status | - The current value of the field. Scheduled upgrade status. UpgradeStatus#

Code:
click to view
# Number of lines of code in get_upgrade_status: 4
sub get_upgrade_status {
my ($self, %args) = @_;
return $self->{'upgrade_status'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::get_upgrade_version | ( |  | ) |

Gets the value of 'upgrade_version' property.

Return values

  upgrade_version | - The current value of the field. Target hardware version to be used on the next scheduled virtual hardware upgrade. optional#

Code:
click to view
# Number of lines of code in get_upgrade_version: 4
sub get_upgrade_version {
my ($self, %args) = @_;
return $self->{'upgrade_version'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::get_version | ( |  | ) |

Gets the value of 'version' property.

Return values

  version | - The current value of the field. Virtual hardware version. Version#

Code:
click to view
# Number of lines of code in get_version: 4
sub get_version {
my ($self, %args) = @_;
return $self->{'version'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 41
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'upgrade_policy',
'case_map' => {
'AFTER_CLEAN_SHUTDOWN' => ['upgrade_version'],
'ALWAYS' => ['upgrade_version'],
'NEVER' => [],
}),
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'upgrade_status',
'case_map' => {
'FAILED' => ['upgrade_error'],
'NONE' => [],
'PENDING' => [],
'SUCCESS' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{version} = $args{'version'};
$self->{upgrade_policy} = $args{'upgrade_policy'};
$self->{upgrade_version} = $args{'upgrade_version'};
$self->{upgrade_status} = $args{'upgrade_status'};
$self->{upgrade_error} = $args{'upgrade_error'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.info');
$self->set_binding_field('key' => 'version', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Hardware::Version'));
$self->set_binding_field('key' => 'upgrade_policy', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Hardware::UpgradePolicy'));
$self->set_binding_field('key' => 'upgrade_version', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Hardware::Version')));
$self->set_binding_field('key' => 'upgrade_status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Hardware::UpgradeStatus'));
$self->set_binding_field('key' => 'upgrade_error', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ErrorType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::set_upgrade_error | ( |  | ) |

Sets the given value for 'upgrade_error' property.

Parameters

  upgrade_error | - New value for the field. Reason for the scheduled upgrade failure.

Code:
click to view
# Number of lines of code in set_upgrade_error: 5
sub set_upgrade_error {
my ($self, %args) = @_;
$self->{'upgrade_error'} = $args{'upgrade_error'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::set_upgrade_policy | ( |  | ) |

Sets the given value for 'upgrade_policy' property.

Parameters

  upgrade_policy | - New value for the field. Scheduled upgrade policy.

Code:
click to view
# Number of lines of code in set_upgrade_policy: 5
sub set_upgrade_policy {
my ($self, %args) = @_;
$self->{'upgrade_policy'} = $args{'upgrade_policy'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::set_upgrade_status | ( |  | ) |

Sets the given value for 'upgrade_status' property.

Parameters

  upgrade_status | - New value for the field. Scheduled upgrade status.

Code:
click to view
# Number of lines of code in set_upgrade_status: 5
sub set_upgrade_status {
my ($self, %args) = @_;
$self->{'upgrade_status'} = $args{'upgrade_status'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::set_upgrade_version | ( |  | ) |

Sets the given value for 'upgrade_version' property.

Parameters

  upgrade_version | - New value for the field. Target hardware version to be used on the next scheduled virtual hardware upgrade.

Code:
click to view
# Number of lines of code in set_upgrade_version: 5
sub set_upgrade_version {
my ($self, %args) = @_;
$self->{'upgrade_version'} = $args{'upgrade_version'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Info::set_version | ( |  | ) |

Sets the given value for 'version' property.

Parameters

  version | - New value for the field. Virtual hardware version.

Code:
click to view
# Number of lines of code in set_version: 5
sub set_version {
my ($self, %args) = @_;
$self->{'version'} = $args{'version'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware.pm